Bug 1036741 - file probe: missing has_extended_acl entity
Summary: file probe: missing has_extended_acl entity
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: openscap
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Šimon Lukašík
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-02 14:33 UTC by Daniel Kopeček
Modified: 2015-07-22 06:29 UTC (History)
3 users (show)

Fixed In Version: openscap-1.0.10-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Scripts that build OpenSCAP has omitted has_extended_acl feature. Consequence: OpenSCAP has been unable to assess extended filesystem properties. Fix: Build process of OpenSCAP has been amended to include has_extended_acl feature. Result: OpenSCAP scanner (namely the file probe) is again able to assess extended file system properties.
Clone Of:
Environment:
Last Closed: 2015-07-22 06:29:03 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1317 normal SHIPPED_LIVE openscap bug fix and enhancement update 2015-07-20 17:53:22 UTC

Description Daniel Kopeček 2013-12-02 14:33:41 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Bug in the build system. We have to recompile to get the entity back.

Fixed upstream:
https://git.fedorahosted.org/cgit/openscap.git/commit/?id=766d585ae62b276dd2dcc316f69c3a5406d90c7b
https://git.fedorahosted.org/cgit/openscap.git/commit/?id=5ad5a91cccc0edf1349ed2bedbb6cd48d1b2edf5

Comment 1 Šimon Lukašík 2014-07-04 18:36:59 UTC
POST status indicates that this has been fixed upstream.

Comment 7 Šimon Lukašík 2015-03-18 14:52:24 UTC
The has_extended_acl should appear in the OVAL results file within file_item object. The OVAL results file can be generated using  --oval-results or --results-arf options during xccdf eval, or by --results option during `oval eval`.

This assumes that input content contains some file object.

Comment 11 errata-xmlrpc 2015-07-22 06:29:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1317.html


Note You need to log in before you can comment on or make changes to this bug.